Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface DocumentId<T extends Document>

Type Parameters:
  `T` - The WCM API type

All Superinterfaces:
  java.lang.Comparable<java.lang.Object>, Identity<T>, java.io.Serializable

    public interface DocumentId<T extends Document>

extends Identity<T>

Represents the ID of a `Document` in the repository.

The `String` representation of this `DocumentId` object can be obtained by calling the `toString()` method. The format of the value returned by the `toString()` method is not documented, and should not be created manually as it may not be relied upon. This is an immutable type.

Method Summary
`java.lang.Class<T>` | `getApiTypeClass()` Returns the WCM API type of the `Document` with this `DocumentId`.
`DocumentLibrary` | `getContainingLibrary()` Retrieves the `DocumentLibary` for the object with this ID.
`java.lang.String` | `getId()` Returns the unique Id of the `Document` with this `DocumentId`.
`java.lang.String` | `getName()` Returns the name of the `Document` with this `DocumentId`.
`DocumentType<T>` | `getType()` Returns the type of the `Document` with this `DocumentId`, e.g.
`java.lang.Class<T>` | `getTypeClass()` Returns the class of the `Document` with this `DocumentId`.
`boolean` | `isDeleted()` Returns `true` if the `Document` represented by this `DocumentId` is a deleted document.
`boolean` | `isDraft()` Returns `true` if the `Document` represented by this `DocumentId` is a draft document.
`boolean` | `isExpired()` Returns `true` if the `Document` represented by this `DocumentId` is a expired document.
`boolean` | `isOfEquivalentType(DocumentType<? extends Document> type)` Indicates if the type of the `Document` represented by this `DocumentId` is 'equivalent' to the `DocumentType` passed in.
`boolean` | `isOfType(DocumentType<? extends Document> type)` Indicates if the type of the `Document` represented by this `DocumentId` is of the exact same type of the `DocumentType` passed in.
`boolean` | `isPublished()` Returns `true` if the `Document` represented by this `DocumentId` is a published document.
`boolean` | `isPurged()` Returns `true` if the `Document` represented by this `DocumentId` is a purged document.
`java.lang.String` | `toString()` Returns a `String` representation of this `DocumentId`.

Methods inherited from interface com.ibm.workplace.wcm.api.Identity
`compareTo, getID`

Method Detail

### getId

    java.lang.String getId()

  Returns the unique Id of the `Document` with this `DocumentId`.

  Returns:
    the unique id

### getName

    java.lang.String getName()

  Returns the name of the `Document` with this `DocumentId`.

  Returns:
    the name

### getType

    DocumentType<T> getType()

  Returns the type of the `Document` with this `DocumentId`, e.g. DocumentType<Content>

  Returns:
    the type

### getApiTypeClass

    java.lang.Class<T> getApiTypeClass()

  Returns the WCM API type of the `Document` with this `DocumentId`. This is a convenience method that returns the same value as getType().getApiType().

  Returns:
    the type
  Since:
    8.0

### getTypeClass

    java.lang.Class<T> getTypeClass()

  Returns the class of the `Document` with this `DocumentId`. Note: This returns the class name of the implementing class for the WCM API type, which may change, and so should therefore not be relied upon. Use `getApiTypeClass()` in preference to this method, since the return type of `getApiTypeClass()` can be relied upon not to change.

  Specified by:
    `getTypeClass` in interface `Identity<T extends Document>`
  Returns:
    the type

### isOfEquivalentType

    boolean isOfEquivalentType(DocumentType<? extends Document> type)

  Indicates if the type of the `Document` represented by this `DocumentId` is 'equivalent' to the `DocumentType` passed in. This returns the same value as getType().isOfEquivalentType().

  Parameters:
    `type` - the `DocumentType` with which to compare.
  Returns:
    `true` if the `Document` represented by this `DocumentId` is 'equivalent' to the `DocumentType` argument; `false` otherwise.
  Since:
    8.0
  See Also:
    `DocumentType#isOfEquivalentType(DocumentType)}`

### isOfType

    boolean isOfType(DocumentType<? extends Document> type)

  Indicates if the type of the `Document` represented by this `DocumentId` is of the exact same type of the `DocumentType` passed in. This returns the same value as getType().isOfType().

  Parameters:
    `type` - the `DocumentType` with which to compare.
  Returns:
    `true` if the `Document` represented by this `DocumentId` is of the exact same type of the `DocumentType` argument; `false` otherwise.
  See Also:
    `DocumentType#isOfType(DocumentType)}`

### toString

    java.lang.String toString()

  Returns a `String` representation of this `DocumentId`.

  Note: Format should not be relied upon, apart from as an opaque String that can be passed back into `Workspace.createDocumentId(String)` in order to serialize/deserialize a `DocumentId`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A `String` representation of this `DocumentId`

### getContainingLibrary

    DocumentLibrary getContainingLibrary()

  Retrieves the `DocumentLibary` for the object with this ID.

  Returns:
    The `DocumentLibrary` of this object.

### isDraft

    boolean isDraft()

  Returns `true` if the `Document` represented by this `DocumentId` is a draft document.

  Returns:
    `true` if the `Document` represented by this `DocumentId` is a draft document; `false` otherwise.

### isPublished

    boolean isPublished()

  Returns `true` if the `Document` represented by this `DocumentId` is a published document.

  Returns:
    `true` if the `Document` represented by this `DocumentId` is a published document; `false` otherwise.

### isExpired

    boolean isExpired()

  Returns `true` if the `Document` represented by this `DocumentId` is a expired document.

  Returns:
    `true` if the `Document` represented by this `DocumentId` is a expired document; `false` otherwise.

### isPurged

    boolean isPurged()

  Returns `true` if the `Document` represented by this `DocumentId` is a purged document.

  Returns:
    `true` if the `Document` represented by this `DocumentId` is a purged document; `false` otherwise.

### isDeleted

    boolean isDeleted()

  Returns `true` if the `Document` represented by this `DocumentId` is a deleted document.

  Returns:
    `true` if the `Document` represented by this `DocumentId` is a deleted document; `false` otherwise.
  Since:
    8.5

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD